export async function convertFileToBase64String(file: File): Promise<string> {
    return new Promise((resolve) => {
        const reader = new FileReader();

        reader.onload = function () {
            if (typeof reader.result === "string") {
                resolve(reader.result);
            } else {
                resolve("");
            }
        };
        reader.readAsDataURL(file);
    });
}
